## libconfig-model-dpkg-perl 2.032

=== debian/control ===
Source: libconfig-model-dpkg-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9),
               perl (>= 5.13.11) | libmodule-build-perl (>= 0.380000)
Build-Depends-Indep: libany-moose-perl,
                     libanyevent-http-perl,
                     libanyevent-perl,
                     libapt-pkg-perl,
                     libconfig-model-perl (>= 2.026),
                     libfile-copy-recursive-perl,
                     libfile-slurp-perl,
                     liblog-log4perl-perl,
                     libmouse-perl,
                     libparse-recdescent-perl,
                     libsoftware-license-perl ( >= 0.103005-1~),
                     libtest-differences-perl,
                     libtest-exception-perl,
                     libtest-file-contents-perl,
                     libtest-memory-cycle-perl,
                     libtest-pod-perl,
                     libtest-warn-perl,
                     libtext-autoformat-perl,
                     libyaml-perl,
                     lintian,
                     po-debconf
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libconfig-model-dpkg-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-dpkg-perl.git

Package: libconfig-model-dpkg-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libany-moose-perl,
         libanyevent-http-perl,
         libanyevent-perl,
         libapt-pkg-perl,
         libconfig-model-perl (>= 2.026),
         libfile-homedir-perl,
         liblog-log4perl-perl,
         libmouse-perl,
         libparse-recdescent-perl,
         libsoftware-license-perl ( >= 0.103005-1),
         libtext-autoformat-perl,
         libtext-diff-perl,
         libyaml-perl,
         lintian
Recommends: libconfig-model-tkui-perl,
            libmodule-corelist-perl (>= 2.54) | perl (>= 5.15.1)
Enhances: devscripts
Description: editor for Dpkg source files with validation
 The command 'cme edit dpkg' provides a graphical editor for most files
 of a package source.
 .
 The command 'cme check dpkg' provide a command line that will check the
 package file, a bit like lintian. But this command must be run in the
 source package directory and can be run before building the package.
 .
 Likewise, the command 'cme fix dpkg' will fix most of the warnings
 found by the command above.
 .
 You can also run cme with a more restricted scope with:
  * cme edit|check|fix dpkg-control
  * cme edit|check|fix dpkg-copyright
