=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                perl (>= 5.13.11) | libmodule-build-perl (>= 0.380000)
-Build-Depends-Indep: libany-moose-perl,
-                     libanyevent-http-perl,
+Build-Depends-Indep: libanyevent-http-perl,
                      libanyevent-perl,
                      libapt-pkg-perl,
-                     libconfig-model-perl (>= 2.026),
+                     libconfig-model-perl (>= 2.030),
                      libfile-copy-recursive-perl,
                      libfile-slurp-perl,
                      liblog-log4perl-perl,
                      libmouse-perl,
+                     libnamespace-autoclean-perl,
                      libparse-recdescent-perl,
                      libsoftware-license-perl ( >= 0.103005-1~),
                      libtest-differences-perl,
@@ -34,14 +34,14 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         libany-moose-perl,
          libanyevent-http-perl,
          libanyevent-perl,
          libapt-pkg-perl,
-         libconfig-model-perl (>= 2.026),
+         libconfig-model-perl (>= 2.030),
          libfile-homedir-perl,
          liblog-log4perl-perl,
          libmouse-perl,
+         libnamespace-autoclean-perl,
          libparse-recdescent-perl,
          libsoftware-license-perl ( >= 0.103005-1),
          libtext-autoformat-perl,
