## libconfig-model-dpkg-perl 2.044

=== debian/changelog ===
libconfig-model-dpkg-perl (2.044) unstable; urgency=medium

  * section parameter:
    * fix check to cope with section like 'gnu-r' (Closes: #735308)
  * dependency parameters:
    * fix warnings issued when a alternate dep contains an unknown/virtual
      package
    * compute cache expiry date only once
    * added global function cache_info_from_madison
  * source Vcs-* parameters:
    * warn (and fix) if Vcs-* field is not a recommended URL
     (Closes: #735309)
    * fix Vcs-Git url substitution (thanks Andreas)
  * Backend Dpkg Control: query info for all package in one call to
    madison. (Closes: #735000)
  * debian/copyright: updated year

 -- Dominique Dumont <dod@debian.org>  Sat, 01 Feb 2014 11:46:55 +0100

libconfig-model-dpkg-perl (2.043) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Set Standards-Version to 3.9.5 for the dpkg-control model
  * Bump Standards-Version to 3.9.5

  [ Dominique Dumont ]
  * copyright backend: improved error message

  [ gregor herrmann ]
  * Remove version from libconfig-model-tester-perl build dependency.
    Nothing older in the archive; found with the help of this very
    package.

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Nov 2013 02:55:21 +0100

libconfig-model-dpkg-perl (2.042) unstable; urgency=low

  [ Bas Couwenberg ]
  * Homepage is also allowed for binary packages.
  * XB-Python-Version is allowed but deprecated for binary packages.

  [ Dominique Dumont ]
  * copyright backend: improved error message
  * Added doc to 'patch' dpkg parameter
  * skip comments in debian/series files (Closes: #725147)

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Oct 2013 20:56:27 +0200

libconfig-model-dpkg-perl (2.041) unstable; urgency=low

  * fix new dual life dependency corner case uncovered by last corner
    case fix

 -- Dominique Dumont <dod@debian.org>  Sat, 28 Sep 2013 09:46:59 +0200

libconfig-model-dpkg-perl (2.040) unstable; urgency=low

  * All: fix white space and extraneous line issue (Closes: #721832)
  * dpkg-copyright:
    * skip empty-ish license
    * append second occurrence of an entry (Closes: #721670)
    * convert File section into Files (Closes: #721672)
  * dpkg-control:
    + added support for XS-Testsuite (Thanks Stig) (Closes: #721663)
    * added tests for xs-testsuite (Thanks Stig)
  * control: BD on libconfig-model-tester >= 2.044 to test white space fix

 -- Dominique Dumont <dod@debian.org>  Sun, 08 Sep 2013 21:03:40 +0200

libconfig-model-dpkg-perl (2.039) unstable; urgency=low

  * Team upload.

  [ Dominique Dumont ]
  * Dpkg::Copyright: clean up comma from Files line

  [ gregor herrmann ]
  * Switch order of alternative (build) dependencies after Perl 5.18
    upload to unstable.
  * Remove version from libconfig-model-tester-perl build dependency.
    Nothing older in the archive. This fix was brought to the audience by
    cme and libconfig-model-dpkg-perl itself.

 -- gregor herrmann <gregoa@debian.org>  Mon, 02 Sep 2013 21:36:44 +0200

libconfig-model-dpkg-perl (2.038) unstable; urgency=low

  * Fix alternate dependency corner case (Closes: #719225)
  * Dpkg Source model: add XS-AutoBuild field (Closes: #719753)
  * Dpkg Control Binary model: fixed pod error in embedded doc
  * dpkg control backend: improved error message for unknown flags
  * Dpkg model: added XS-Ruby-Versions and XB-Ruby-Versions fields
   (Closes: #713053)
  * control:
    + added libconfig-model-tester-perl dependency.
    * Clean up other dependencies
    * up-to-date libmodule-corelist-perl is now required instead
      of recommended to ensure better resulst with Perl dual-life
      package
    * updated description
  - removed obsolete lintian override

 -- Dominique Dumont <dod@debian.org>  Sun, 25 Aug 2013 17:17:05 +0200
