=== debian/control ===
Source: libconfig-model-dpkg-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9),
               perl (>= 5.13.11) | libmodule-build-perl (>= 0.380000)
Build-Depends-Indep: libanyevent-http-perl,
                     libanyevent-perl,
                     libapt-pkg-perl,
                     libconfig-model-perl (>= 2.041),
                     libconfig-model-tester-perl,
                     liblog-log4perl-perl,
                     libmouse-perl,
                     libnamespace-autoclean-perl,
                     libparse-recdescent-perl,
                     libsoftware-license-perl (>= 0.103005-1~),
                     libtest-differences-perl,
                     libtest-exception-perl,
                     libtest-memory-cycle-perl,
                     libtest-pod-perl,
                     libtest-warn-perl,
                     libtext-autoformat-perl,
                     libyaml-perl,
                     lintian,
                     perl (>= 5.15.1) | libmodule-corelist-perl (>= 2.54),
                     po-debconf
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libconfig-model-dpkg-perl.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-dpkg-perl.git

Package: libconfig-model-dpkg-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libanyevent-http-perl,
         libanyevent-perl,
         libapt-pkg-perl,
         libconfig-model-perl (>= 2.041),
         liblog-log4perl-perl,
         libmouse-perl,
         libnamespace-autoclean-perl,
         libparse-recdescent-perl,
         libsoftware-license-perl (>= 0.103005-1),
         libtext-autoformat-perl,
         lintian,
         perl (>= 5.15.1) | libmodule-corelist-perl (>= 2.54)
Recommends: libconfig-model-tkui-perl
Enhances: devscripts
Description: editor for Dpkg source files with validation
 The command 'cme edit dpkg' provides a graphical editor for most files
 of a package source.
 .
 The command 'cme check dpkg' provide a command line that will check the
 package file, a bit like lintian. But this command must be run in the
 source package directory and can be run before building the package.
 .
 Likewise, the command 'cme fix dpkg' will fix most of the warnings
 found by the command above.
 .
 If the recommended package libconfig-model-tkui-perl is installed,
 you can run 'cme edit dpkg' to edit your package files with a GUI.
 .
 You can also run cme with a more restricted scope with:
  * cme edit|check|fix dpkg-control
  * cme edit|check|fix dpkg-copyright
 .
 For best results, you should install the latest available version
 of libmodule-corelist-perl.
