## libconfig-model-dpkg-perl 2.051

=== debian/changelog ===
libconfig-model-dpkg-perl (2.051) unstable; urgency=medium

  * Control Binary model: added Build-Profiles (Tx Peter Pentchev)
  * added TestSuite parameter (Closes: #752149)
  * Patch model:can now fix synopsis when using 'cme fix patch my-great-patch'
  * fix typo in bash completion file name (which broke completion for
    'cme edit patch')
  * rules: added --with bash-completion

 -- Dominique Dumont <dod@debian.org>  Sat, 19 Jul 2014 18:18:28 +0200

libconfig-model-dpkg-perl (2.050) unstable; urgency=medium

  * Dpkg::Patch:
    * Author, From, Reviewed-by and Ack-by fields are now list
    + added missing inline documentation

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Jun 2014 18:52:58 +0200

libconfig-model-dpkg-perl (2.049) unstable; urgency=medium

  * Dpkg::Copyright:
    * fixed Files-Excluded type and updated doc
    * consider license exception as part of license short
      name (Closes: #748501)
  * Dpkg::Patch(es):
    * read/write patches in utf8 mode
    * skip non dep-3 patches when cme is run with -force option
      (Closes: 748502)
    * added bash completion for 'cme edit|fix|check dpkg-patch'
  * control:
    * build depends on libconfig-model-tester 2.048 to test
      tolerance of bad patch
    * added BDI on libpath-tiny-perl

 -- Dominique Dumont <dod@debian.org>  Sat, 14 Jun 2014 14:37:59 +0200

libconfig-model-dpkg-perl (2.048) unstable; urgency=medium

  + Added a patch (DEP-3) editor/checker:
    * check all patches with 'cme check dpkg-patches'
    * check one patch with 'cme check dpkg-patch debian/patches/foo'
      or 'cme check dpkg-patch foo'
    * the edit command can also be used. E.g. 'cme edit dpkg-patch foo'
  * control:
    - removed dependency on libnamespace-autoclean-perl
    * depends on libconfig-model-perl 2.055
    + added depends on liburi-perl (not used during tests)
  * fix warnings by removing last traces of async calls
  * fix test (removed calls to removed functions)

 -- Dominique Dumont <dod@debian.org>  Mon, 05 May 2014 19:23:55 +0200

libconfig-model-dpkg-perl (2.047) unstable; urgency=medium

  * Model changes:
    * Dpkg::Dependency: added libgl-dev and libtiff-dev to virtual packages
    * Dpkg::Control: removed experience attribute
  * Dpkg::Patch backend: leave a space after colon when writing back
    patch header. I.e. 'Field: foo' (thankd gregoa for the heads-up)
  * Removed all asynchronous code from Dpkg::Dependency. The code should be
    easier to understand.
  * control: removed deps on libanyevent*. Added dep on libwww-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Apr 2014 14:16:33 +0200

libconfig-model-dpkg-perl (2.046) unstable; urgency=medium

  * Dependency checker: use escape_uri on package name to build the URL
    used to query madison (Closes: #742302)
  * Dpkg::Copyright model:
    + added Files-Excluded parameter (the one used by uscan)
    * check consistency of global License parameter
  * Config::Model::Dpkg::Dependency: no longer complain about *known*
    virtual packages (i.e. mostly virtual packages listed in packaging
    manual)
  * Config::Model::Dpkg: added 'cme modify dpkg' examples in pod doc
  * control: BD-I on libconfig-model-perl 2.053

 -- Dominique Dumont <dod@debian.org>  Wed, 26 Mar 2014 12:25:04 +0100

libconfig-model-dpkg-perl (2.045) unstable; urgency=medium

  * Control model: set up value for Vcs-Git and Vcs-Browser for
    pkg-ruby-extra team
  * allow config file override for dpkg-control and dpkg-copyright
    (Closes: #739387). See Config::Model::Dpkg(3pm) for explanations
  * control: depends on libconfig-model-perl >= 2.050 for the config
    file overrride

 -- Dominique Dumont <dod@debian.org>  Sat, 01 Mar 2014 19:48:26 +0100
