=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                perl (>= 5.13.11) | libmodule-build-perl (>= 0.380000)
-Build-Depends-Indep: libanyevent-http-perl,
-                     libanyevent-perl,
+Build-Depends-Indep: bash-completion,
                      libapt-pkg-perl,
-                     libconfig-model-perl (>= 2.041),
-                     libconfig-model-tester-perl,
+                     libconfig-model-perl (>= 2.055),
+                     libconfig-model-tester-perl (>= 2.048),
                      liblog-log4perl-perl,
                      libmouse-perl,
-                     libnamespace-autoclean-perl,
                      libparse-recdescent-perl,
+                     libpath-tiny-perl,
                      libsoftware-license-perl (>= 0.103005-1~),
                      libtest-differences-perl,
                      libtest-exception-perl,
@@ -21,6 +20,7 @@
                      libtest-pod-perl,
                      libtest-warn-perl,
                      libtext-autoformat-perl,
+                     libwww-perl,
                      libyaml-perl,
                      lintian,
                      perl (>= 5.15.1) | libmodule-corelist-perl (>= 2.54),
@@ -33,16 +33,15 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         libanyevent-http-perl,
-         libanyevent-perl,
          libapt-pkg-perl,
-         libconfig-model-perl (>= 2.041),
+         libconfig-model-perl (>= 2.055),
          liblog-log4perl-perl,
          libmouse-perl,
-         libnamespace-autoclean-perl,
          libparse-recdescent-perl,
          libsoftware-license-perl (>= 0.103005-1),
          libtext-autoformat-perl,
+         liburi-perl,
+         libwww-perl,
          lintian,
          perl (>= 5.15.1) | libmodule-corelist-perl (>= 2.54)
 Recommends: libconfig-model-tkui-perl
