## libconfig-model-dpkg-perl 2.059

=== debian/changelog ===
libconfig-model-dpkg-perl (2.059) unstable; urgency=medium

  * Copyright license text (Closes: #767494):
    * fix (really) automatic import of license summary or text
    * suppress misleading warning

 -- Dominique Dumont <dod@debian.org>  Fri, 31 Oct 2014 14:06:18 +0100

libconfig-model-dpkg-perl (2.058) unstable; urgency=medium

  * Team upload.
  * Trigger warning 'Synopsis is too long.' only for >= 80 characters.
    Cf. Debian Policy 3.4.1, DEP3, and lintian.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Oct 2014 16:38:59 +0200

libconfig-model-dpkg-perl (2.057) unstable; urgency=medium

  * Dpkg::Dependency: support new build profile syntax.
    Tx Johannes Schauer (Closes: #763772)

 -- Dominique Dumont <dod@debian.org>  Tue, 07 Oct 2014 21:09:03 +0200

libconfig-model-dpkg-perl (2.056) unstable; urgency=medium

  [ Dominique Dumont ]
  * Dpkg::Copyright: fix automatic import of license summary or text
  * control:
    * depends on liconfig-model-perl 2.061
    * depends on libsoftware-license-perl (>= 0.103010-3~)
    * removed versioned dep on libconfig-model-tester-perl

  [ gregor herrmann ]
  * dpkg-control model: allow autopkgtest-pkg-{ruby,perl}
    in Testsuite header.
  * Use autopkgtest-pkg-ruby in tests.

  [ Dominique Dumont ]
  * Fix broken Vcs-Git and Vcs-Browser computed default values
  * Dpkg::Dependency: Warn and fix if a dual dependency is used with
    a module that is or will no longer be dual life

  [ gregor herrmann ]
  * Fix some occurences of libmodule-build-perl versions in test suite.
  * Mark package as autopkgtest-able.

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Sep 2014 21:05:05 +0200

libconfig-model-dpkg-perl (2.054) unstable; urgency=medium

  * Team upload.

  * Set default Standards-Version to 3.9.6 in dpkg-control model.
    Update tests as well.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Sep 2014 21:47:23 +0200

libconfig-model-dpkg-perl (2.053) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: update Module::Build dependency.

  [ Dominique Dumont ]
  * dpkg copyright format: accepts http and https url and default
    to https (Closes:  #756876)
  * Copyright model: Accept multi-line string for Files-Excluded
    field (Closes: #757812)

 -- Dominique Dumont <dod@debian.org>  Mon, 08 Sep 2014 20:56:15 +0200

libconfig-model-dpkg-perl (2.052) unstable; urgency=medium

  * Team upload.

  [ Paul Wise ]
  * Use the correct hostname for the ftp-master changelog service

  [ Salvatore Bonaccorso ]
  * Fix URL in description of the XS-Testsuite field.
    Adjust file name to README.package-tests.rst and switch to URL based on
    the cgit web frontend on alioth.
  * Fix URL in description of the Testsuite field.
    Adjust file name to README.package-tests.rst and switch to URL based on
    the cgit web frontend on alioth.
  * Recommend Vcs-Browser field values pointing to cgit web frontend.
    Recommend the cgit based URLs for the Vcs-Browser field instead of the
    gitweb based URLs.
  * Adjust Vcs-Browser URLs in testsuite to cgit web frontend based URLs

  [ Dominique Dumont ]
  * Provide Vcs-Git and Vcs_browser values for pkg-javascript team
  * added missing "memory cycle" test label
  * Fix expected Vcs-Browser URL

  [ Salvatore Bonaccorso ]
  * Strip appended ';a=summary' if the cgit webinterface is used.
    Thanks to Gregor Herrmann for the patch
  * Update Vcs-Browser URL to cgit web frontend
  * Switch http to https URLs in dpkg-control exampes in testsuite

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 17 Aug 2014 13:59:51 +0200
