=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Section: perl
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               perl (>= 5.13.11) | libmodule-build-perl (>= 0.380000)
+               libmodule-build-perl (>= 0.380000)
 Build-Depends-Indep: bash-completion,
                      libapt-pkg-perl,
-                     libconfig-model-perl (>= 2.055),
-                     libconfig-model-tester-perl (>= 2.048),
+                     libconfig-model-perl (>= 2.061),
+                     libconfig-model-tester-perl,
                      liblog-log4perl-perl,
                      libmouse-perl,
                      libparse-recdescent-perl,
                      libpath-tiny-perl,
-                     libsoftware-license-perl (>= 0.103005-1~),
+                     libsoftware-license-perl (>= 0.103010-3~),
                      libtest-differences-perl,
                      libtest-exception-perl,
                      libtest-memory-cycle-perl,
@@ -25,20 +25,21 @@
                      lintian,
                      perl (>= 5.15.1) | libmodule-corelist-perl (>= 2.54),
                      po-debconf
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libconfig-model-dpkg-perl.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libconfig-model-dpkg-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-dpkg-perl.git
+Testsuite: autopkgtest-pkg-perl
 
 Package: libconfig-model-dpkg-perl
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
          libapt-pkg-perl,
-         libconfig-model-perl (>= 2.055),
+         libconfig-model-perl (>= 2.061),
          liblog-log4perl-perl,
          libmouse-perl,
          libparse-recdescent-perl,
-         libsoftware-license-perl (>= 0.103005-1),
+         libsoftware-license-perl (>= 0.103010-3~),
          libtext-autoformat-perl,
          liburi-perl,
          libwww-perl,
