=== t/model_tests.d/dpkg-examples/t0/debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: perl, libconfig-model-perl (>= 1.245),
-  liblog-log4perl-perl, libtest-pod-perl, libfile-slurp-perl, libmodule-build-perl (>= 0.3800) | perl (>= 5.13.11)
+  liblog-log4perl-perl, libtest-pod-perl, libfile-slurp-perl, libmodule-build-perl (>= 0.380000) | perl (>= 5.13.11)
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Dominique Dumont <domi.dumont@free.fr>,
            gregor herrmann <gregoa@debian.org>, Jonathan Yu <jawnsy@cpan.org>,
            Fabrizio Regalli <fabreg@fabreg.it>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://search.cpan.org/dist/Config-Model-Approx/
 
 Package: libconfig-model-approx-perl
