## libconfig-model-dpkg-perl 2.068

=== debian/changelog ===
libconfig-model-dpkg-perl (2.068) unstable; urgency=medium

  * Dpkg dependency: make sure that debhelper shows a warning when
    compat is increased (in interactive mode like cme edit dpkg)
  * control: added dep libtext-levenshtein-damerau-perl. Installing this
    dependency enable cme to warn about typos in permissive files
    like debian/copyright (Closes: #789568)
  * source options: advise user to log a bug in case of missing parameter

 -- Dominique Dumont <dod@debian.org>  Fri, 24 Jul 2015 16:45:22 +0200

libconfig-model-dpkg-perl (2.067) unstable; urgency=medium

  Major bug fixes release: previous version removed too many
  directory entries. This version fixes this problem while being
  able to merge existing directory entries with data extracted from
  files (including LICENSE, COPYING or README files)

  Also fixed:
  * C::M::Dpkg::Dependency: escape '{' in regexp (Closes: #789841) ...
  * Scanner::__squash_copyrights_years: also handle last entry of
    $copyrights_by_id...

 -- Dominique Dumont <dod@debian.org>  Fri, 03 Jul 2015 20:13:44 +0200

libconfig-model-dpkg-perl (2.066) unstable; urgency=medium

  [ gregor herrmann ]
  * Add Build-Conflicts-Indep fields to Dpkg::Control::Source model.
  * Dpkg::Control::Source model: warn on duplicates in Build-
    Conflicts{,-Indep}.
  * Update descriptions and summaries for Dpkg::Control::Source model.

  [ Dominique Dumont ]
  * updated © years in model doc
  * Dpkg::Copyright doc:
    + added explanation on merge mechanism in pod doc
    + added scary example to modify copyright content with cme

 -- Dominique Dumont <dod@debian.org>  Mon, 15 Jun 2015 12:45:10 +0200

libconfig-model-dpkg-perl (2.065) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Correct name of licensecheck utility.
    Thanks to Andreas Metzler (Closes: #784838)

  [ Dominique Dumont ]
  * Dpkg Control: can now fix formatting of Description when more
    than one paragraph has too long lines
  * Dependency:
    * added stretch and buster to the list of known debian releases
    * die if something went wrong while finding the ideal dependency
      for an alternate dependency
    * preserve Perl's versioned dep if the alternate lib has no
      versioned dependency.
  * Copyright update: can remove old directory entries when needed

 -- Dominique Dumont <dod@debian.org>  Wed, 20 May 2015 18:46:08 +0200

libconfig-model-dpkg-perl (2.064) unstable; urgency=medium

  * Fixed scanner bugs found while trying 'cme update dpkg-copyright' on
    icedove files:
    * don't croak on utf8 encoding errors
    * can use $ENV{COPYRIGHT_SCANNER_INPUT} as input for tests..
    * fix parsing of multi copyright owners
    * provide better error message for invalid (c) year ranges
    * improved copyright cleanup

 -- Dominique Dumont <dod@debian.org>  Fri, 08 May 2015 18:45:47 +0200

libconfig-model-dpkg-perl (2.063) unstable; urgency=medium

  * Copyright scanner:
    * to cope with owner containing 'f00' (Closes: #783932)
    * handle ranges like 2010-12 or 2002-3 (Closes: #783928)
  * Dpkg::Patch: fix handling of Subject body expressed as
    free form text below header.
  * Updated list of supported arch in C::M::Dpkg::Dependency
    (Closes: #782995)
  * control: added build-dep on libyaml-tiny-perl

 -- Dominique Dumont <dod@debian.org>  Fri, 08 May 2015 10:24:03 +0200

libconfig-model-dpkg-perl (2.062) experimental; urgency=medium

  * control: added missing deps libarray-intspan-perl
    and libexporter-lite-perl (Closes: #782010)

 -- Dominique Dumont <dod@debian.org>  Tue, 07 Apr 2015 08:21:48 +0200

libconfig-model-dpkg-perl (2.061) experimental; urgency=medium

  * Improved 'cme update dpkg-copyright' command:
    * update can now start from scratch
    * improved handling of fix.scanned.copyright file
    * cleanup "by" and "all rights reserved" from copyrights
    * globally squash copyright that have same owners and licenses
    * don't remove correct entries while updating...

  * Other copyright model changes:
    * improve error message when copyright header is missing
    * issue a warning when boilerplate license is found

  * copyright: added entry for lib/Dpkg/Copyright/Scanner.pm
    Thanks to Jonas for agreeing to LGPL-2.1+

  * control:
    * updated dep version of libconfig-model-perl and
      libconfig-model-tester-perl
    * added runtime dependency on devscripts (for licensecheck)
    * udpated description for 'cme update dpkg'

 -- Dominique Dumont <dod@debian.org>  Sat, 04 Apr 2015 11:27:37 +0200

libconfig-model-dpkg-perl (2.060) experimental; urgency=medium

  * New feature:
    + added scan-copyright command: Scan source file and print lines for
      debian/copyright files. This command is indenpendant of Config::Model
      and may land in its own package or in devscript if required.
    + new 'cme update dpkg' command that uses scan-copyright to update
      the content on debian/copyright from the source files.
      See Config::Model::Dpkg::Copyright documentation for more details.

  * Model changes:
    * Dpkg::Source: 'cme migrate' sets TestSuite to autopkgtest-pkg-perl
      for pkg-perl team packages

  * Perf improvement of dependency checks:
    * C::M::Dpkg::Dependency: do not use regexp to find Perl module
      in CoreList...

  * Minor changes:
    * Use show_message instead of say for most user messages
    * debian/control: dep on libconfig-model-perl 2.066
    * debian/copyright: updated year

 -- Dominique Dumont <dod@debian.org>  Fri, 20 Feb 2015 13:16:24 +0100
