=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Dominique Dumont <dod@debian.org>
 Section: perl
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
 Build-Depends: debhelper (>= 9),
                libmodule-build-perl (>= 0.380000)
 Build-Depends-Indep: bash-completion,
                      libapt-pkg-perl,
-                     libconfig-model-perl (>= 2.061),
-                     libconfig-model-tester-perl,
+                     libarray-intspan-perl,
+                     libconfig-model-perl (>= 2.073),
+                     libconfig-model-tester-perl (>= 2.050),
+                     libexporter-lite-perl,
                      liblog-log4perl-perl,
                      libmouse-perl,
                      libparse-recdescent-perl,
@@ -20,27 +23,32 @@
                      libtest-pod-perl,
                      libtest-warn-perl,
                      libtext-autoformat-perl,
+                     libtext-levenshtein-damerau-perl,
                      libwww-perl,
                      libyaml-perl,
+                     libyaml-tiny-perl,
                      lintian,
                      perl (>= 5.15.1) | libmodule-corelist-perl (>= 2.54),
                      po-debconf
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libconfig-model-dpkg-perl.git
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconfig-model-dpkg-perl.git
-Testsuite: autopkgtest-pkg-perl
 
 Package: libconfig-model-dpkg-perl
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         devscripts,
          libapt-pkg-perl,
-         libconfig-model-perl (>= 2.061),
+         libarray-intspan-perl,
+         libconfig-model-perl (>= 2.073),
+         libexporter-lite-perl,
          liblog-log4perl-perl,
          libmouse-perl,
          libparse-recdescent-perl,
          libsoftware-license-perl (>= 0.103010-3~),
          libtext-autoformat-perl,
+         libtext-levenshtein-damerau-perl,
          liburi-perl,
          libwww-perl,
          lintian,
@@ -48,8 +56,12 @@
 Recommends: libconfig-model-tkui-perl
 Enhances: devscripts
 Description: editor for Dpkg source files with validation
- The command 'cme edit dpkg' provides a graphical editor for most files
- of a package source.
+ This package provides Config::Model::Dpkg, a plugin for Config::Model
+ and cme. Once this package is installed, cme is able to handle dpkg
+ source file.
+ .
+ For instance, the command 'cme edit dpkg' provides a graphical editor
+ for most files of a package source.
  .
  The command 'cme check dpkg' provide a command line that will check the
  package file, a bit like lintian. But this command must be run in the
@@ -57,6 +69,9 @@
  .
  Likewise, the command 'cme fix dpkg' will fix most of the warnings
  found by the command above.
+ .
+ The command 'cme update dpkg' will update debian/copyright file
+ from the content of the package source file.
  .
  If the recommended package libconfig-model-tkui-perl is installed,
  you can run 'cme edit dpkg' to edit your package files with a GUI.
